Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1359954 - Rhythmbox crashes when opening iOS device with a PlayCounts.xml file.
Summary: Rhythmbox crashes when opening iOS device with a PlayCounts.xml file.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libgpod
Version: 24
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 00:35 UTC by rosenp
Modified: 2016-10-21 15:54 UTC (History)
5 users (show)

Fixed In Version: libgpod-0.8.3-13.fc25 libgpod-0.8.3-13.fc24 libgpod-0.8.3-13.fc23 libgpod-0.8.3-13.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-10-01 04:20:50 UTC
Type: Bug


Attachments (Terms of Use)
Patch to fix crash (528 bytes, patch)
2016-07-26 00:35 UTC, rosenp
no flags Details | Diff

Description rosenp 2016-07-26 00:35:39 UTC
Created attachment 1184007 [details]
Patch to fix crash

Description of problem:
libgpod has a bug where it uses glib2 badly causing software that uses it to crash. The crash happens when parsing the PlayCounts.xml file on iOS devices.
Version-Release number of selected component (if applicable):
libgpod-0.8.3-11

How reproducible:
100%

Steps to Reproduce:
1. Open Rhythmbox
2. Click the Apple device
3. Crash

Actual results:
Crash

Expected results:
No Crash

Additional info:
There is an upstream patch for this: https://sourceforge.net/p/gtkpod/libgpod/ci/8dc5015ae036b219c4c9579a156886aa3a722aa5/tree/src/itdb_itunesdb.c?diff=8b85cadf2d9e9d26ce6e52336177beb8d1472458

Upstream is quite dead though. Would be great if this could get applied to the current package.

Comment 1 rosenp 2016-07-26 00:41:01 UTC
(In reply to rosenp from comment #0)
> Created attachment 1184007 [details]
> Patch to fix crash
> 
> Description of problem:
> libgpod has a bug where it uses glib2 badly causing software that uses it to
> crash. The crash happens when parsing the PlayCounts.xml file on iOS devices.
> Version-Release number of selected component (if applicable):
> libgpod-0.8.3-11
> 
> How reproducible:
> 100%
> 
> Steps to Reproduce:
> 1. Open Rhythmbox
> 2. Click the Apple device
> 3. Crash
> 
> Actual results:
> Crash
> 
> Expected results:
> No Crash
> 
> Additional info:
> There is an upstream patch for this:
> https://sourceforge.net/p/gtkpod/libgpod/ci/
> 8dc5015ae036b219c4c9579a156886aa3a722aa5/tree/src/itdb_itunesdb.
> c?diff=8b85cadf2d9e9d26ce6e52336177beb8d1472458
> 
> Upstream is quite dead though. Would be great if this could get applied to
> the current package.

oh i forgot to mention. it fixes this: https://retrace.fedoraproject.org/faf/reports/1207770/

Comment 2 Fedora Admin XMLRPC Client 2016-09-15 15:20:20 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Fedora Admin XMLRPC Client 2016-09-15 15:45:40 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 4 Fedora Update System 2016-09-23 05:23:32 UTC
libgpod-0.8.3-13.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-07f1682feb

Comment 5 Fedora Update System 2016-09-23 06:52:24 UTC
libgpod-0.8.3-13.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47d3be95ec

Comment 6 Fedora Update System 2016-09-23 08:00:15 UTC
libgpod-0.8.3-13.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-41702d2bb1

Comment 7 Fedora Update System 2016-09-27 00:32:41 UTC
libgpod-0.8.3-13.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2016-09-28 01:56:02 UTC
libgpod-0.8.3-13.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2016-09-28 16:19:12 UTC
libgpod-0.8.3-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-adcea8a83e

Comment 10 Fedora Update System 2016-10-01 04:20:50 UTC
libgpod-0.8.3-13.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-10-21 15:54:21 UTC
libgpod-0.8.3-13.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.